# Search

`POST /workspaces/:workspace/domains/search`

Search domains availability

**Required Scopes:** `ZONE_READ`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Body Parameters

```typescript
interface BodyParameters {
  /** Set of domain names to check availability for */
  domains?: string[];
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** Collection of domain availability results */
  domains?: DomainAvailabilityPriceView[];
}
```

## Type Definitions

```typescript
interface DomainAvailabilityPriceView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The name of the domain */
  name?: string;
  /** Whether the domain is available for registration */
  available?: boolean;
  /** Whether the domain is a premium domain with higher pricing */
  premium?: boolean;
  /** Pricing details for domain operations */
  prices?: DomainPricesView;
}

interface DomainPricesView {
  /** Price for restoring an expired domain */
  create?: DomainPriceView;
  /** Price for restoring an expired domain */
  transfer?: DomainPriceView;
  /** Price for restoring an expired domain */
  renew?: DomainPriceView;
  /** Price for restoring an expired domain */
  restore?: DomainPriceView;
}

interface DomainPriceView {
  /** The currency of the price */
  currency?: string;
  /** The price amount */
  price?: number;
  /** Minimum registration duration in years */
  min_duration?: number;
  /** Maximum registration duration in years */
  max_duration?: number;
}

```

## Request Example

```bash
curl -X POST "https://api.buddy.works/workspaces/:workspace/domains/search" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
  "domains": [
    "mysite.org",
    "testdomain.org.pl",
    "premium-name.uno",
    "example.com"
  ]
}'
```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/domains/search",
  "html_url": "https://app.buddy.works/my-company/-/domains/buy",
  "domains": [
    {
      "url": "https://api.buddy.works/workspaces/my-company/domains/search",
      "html_url": "https://app.buddy.works/my-company/-/domains/buy",
      "name": "mysite.org",
      "available": false
    },
    {
      "url": "https://api.buddy.works/workspaces/my-company/domains/search",
      "html_url": "https://app.buddy.works/my-company/-/domains/buy",
      "name": "testdomain.org.pl",
      "available": true,
      "prices": {
        "create": {
          "currency": "USD",
          "price": 4.24,
          "min_duration": 1,
          "max_duration": 10
        }
      }
    },
    {
      "url": "https://api.buddy.works/workspaces/my-company/domains/search",
      "html_url": "https://app.buddy.works/my-company/-/domains/buy",
      "name": "example.com",
      "available": false
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/domains/search